package com.zjrs.ggfw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class GrqzJlxxDTO implements java.io.Serializable {
        private static final long serialVersionUID = 1L;
        @NotBlank(message = "简历信息流水号不能为空")
        private String rsrlzyjlxxlsh;  //简历信息流水号
        private String rsyhlsh;  //用户流水号
        private String jlmc;  //简历名称
        private String xm;  //姓名
        private String tsqzlx;  //求职类型
        private String tsbyfl;  //毕业分类
        private String zjlx;  //证件类型
        private String sfzhm;  //身份证号码
        private String tsxb;  //性别
        private String csrq;  //出生日期
        private String bl;  //年龄
        private String cjgzsj;  //参加工作时间
        private String tsmz;  //民族
        private String tshj;  //户籍
        private String tsxl;  //最高学历
        private String tszzmm;  //政治面貌
        private String hkszd;  //户口所在地
        private String tshyzk;  //婚姻状况
        private String yx;  //邮箱
        private String sjhm;  //手机号码
        private String sg;  //身高(cm)
        private String tz;  //体重(kg)
        private String slz;  //视力(左)
        private String sly;  //视力(右)
        private String jzdj;  //驾照等级
        private String jzqdsj;  //驾照取得时间
        private String xx;  //血型
        private String yzbm;  //邮政编码
        private String qq;  //qq号码
        private String gddh;  //固定电话
        private String ahtc;  //爱好特长
        private String sfjszptj;  //是否接受招聘推荐
        private String xjzd;  //现居住地
        private String txtycclsh;  //头像统一存储流水号
        private String sptycclsh;  //视频统一存储流水号
        private String shjg;  //审核结果
        private String shyj;  //审核意见
        private String jlshr;  //审核人
        private String shsj;  //审核时间
        private String txshjg;  //头像审核结果
        private String spshjg;  //视频审核结果
        private String txshyj;  //头像审核意见
        private String spshyj;  //视频审核意见
        private String txshr;  //头像审核人
        private String txshsj;  //头像审核时间
        private String spshr;  //视频审核人
        private String spshsj;  //视频审核时间
        private String tsyxbz;  //是否有效
        private String rsrgjbxxjlzt;  //简历状态
        private String tscjr;  //创建人
        private String tscjsj;  //创建时间
        private String tsxgr;  //修改人
        private String tsxgsj;  //修改时间

        public String getRsrlzyjlxxlsh() {
                return rsrlzyjlxxlsh;
        }

        public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
                this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
        }

        public String getRsyhlsh() {
                return rsyhlsh;
        }

        public void setRsyhlsh(String rsyhlsh) {
                this.rsyhlsh = rsyhlsh;
        }

        public String getJlmc() {
                return jlmc;
        }

        public void setJlmc(String jlmc) {
                this.jlmc = jlmc;
        }

        public String getXm() {
                return xm;
        }

        public void setXm(String xm) {
                this.xm = xm;
        }

        public String getTsqzlx() {
                return tsqzlx;
        }

        public void setTsqzlx(String tsqzlx) {
                this.tsqzlx = tsqzlx;
        }

        public String getTsbyfl() {
                return tsbyfl;
        }

        public void setTsbyfl(String tsbyfl) {
                this.tsbyfl = tsbyfl;
        }

        public String getZjlx() {
                return zjlx;
        }

        public void setZjlx(String zjlx) {
                this.zjlx = zjlx;
        }

        public String getSfzhm() {
                return sfzhm;
        }

        public void setSfzhm(String sfzhm) {
                this.sfzhm = sfzhm;
        }

        public String getTsxb() {
                return tsxb;
        }

        public void setTsxb(String tsxb) {
                this.tsxb = tsxb;
        }

        public String getCsrq() {
                return csrq;
        }

        public void setCsrq(String csrq) {
                this.csrq = csrq;
        }

        public String getBl() {
                return bl;
        }

        public void setBl(String bl) {
                this.bl = bl;
        }

        public String getCjgzsj() {
                return cjgzsj;
        }

        public void setCjgzsj(String cjgzsj) {
                this.cjgzsj = cjgzsj;
        }

        public String getTsmz() {
                return tsmz;
        }

        public void setTsmz(String tsmz) {
                this.tsmz = tsmz;
        }

        public String getTshj() {
                return tshj;
        }

        public void setTshj(String tshj) {
                this.tshj = tshj;
        }

        public String getTsxl() {
                return tsxl;
        }

        public void setTsxl(String tsxl) {
                this.tsxl = tsxl;
        }

        public String getTszzmm() {
                return tszzmm;
        }

        public void setTszzmm(String tszzmm) {
                this.tszzmm = tszzmm;
        }

        public String getHkszd() {
                return hkszd;
        }

        public void setHkszd(String hkszd) {
                this.hkszd = hkszd;
        }

        public String getTshyzk() {
                return tshyzk;
        }

        public void setTshyzk(String tshyzk) {
                this.tshyzk = tshyzk;
        }

        public String getYx() {
                return yx;
        }

        public void setYx(String yx) {
                this.yx = yx;
        }

        public String getSjhm() {
                return sjhm;
        }

        public void setSjhm(String sjhm) {
                this.sjhm = sjhm;
        }

        public String getSg() {
                return sg;
        }

        public void setSg(String sg) {
                this.sg = sg;
        }

        public String getTz() {
                return tz;
        }

        public void setTz(String tz) {
                this.tz = tz;
        }

        public String getSlz() {
                return slz;
        }

        public void setSlz(String slz) {
                this.slz = slz;
        }

        public String getSly() {
                return sly;
        }

        public void setSly(String sly) {
                this.sly = sly;
        }

        public String getJzdj() {
                return jzdj;
        }

        public void setJzdj(String jzdj) {
                this.jzdj = jzdj;
        }

        public String getJzqdsj() {
                return jzqdsj;
        }

        public void setJzqdsj(String jzqdsj) {
                this.jzqdsj = jzqdsj;
        }

        public String getXx() {
                return xx;
        }

        public void setXx(String xx) {
                this.xx = xx;
        }

        public String getYzbm() {
                return yzbm;
        }

        public void setYzbm(String yzbm) {
                this.yzbm = yzbm;
        }

        public String getQq() {
                return qq;
        }

        public void setQq(String qq) {
                this.qq = qq;
        }

        public String getGddh() {
                return gddh;
        }

        public void setGddh(String gddh) {
                this.gddh = gddh;
        }

        public String getAhtc() {
                return ahtc;
        }

        public void setAhtc(String ahtc) {
                this.ahtc = ahtc;
        }

        public String getSfjszptj() {
                return sfjszptj;
        }

        public void setSfjszptj(String sfjszptj) {
                this.sfjszptj = sfjszptj;
        }

        public String getXjzd() {
                return xjzd;
        }

        public void setXjzd(String xjzd) {
                this.xjzd = xjzd;
        }

        public String getTxtycclsh() {
                return txtycclsh;
        }

        public void setTxtycclsh(String txtycclsh) {
                this.txtycclsh = txtycclsh;
        }

        public String getSptycclsh() {
                return sptycclsh;
        }

        public void setSptycclsh(String sptycclsh) {
                this.sptycclsh = sptycclsh;
        }

        public String getShjg() {
                return shjg;
        }

        public void setShjg(String shjg) {
                this.shjg = shjg;
        }

        public String getShyj() {
                return shyj;
        }

        public void setShyj(String shyj) {
                this.shyj = shyj;
        }

        public String getJlshr() {
                return jlshr;
        }

        public void setJlshr(String jlshr) {
                this.jlshr = jlshr;
        }

        public String getShsj() {
                return shsj;
        }

        public void setShsj(String shsj) {
                this.shsj = shsj;
        }

        public String getTxshjg() {
                return txshjg;
        }

        public void setTxshjg(String txshjg) {
                this.txshjg = txshjg;
        }

        public String getSpshjg() {
                return spshjg;
        }

        public void setSpshjg(String spshjg) {
                this.spshjg = spshjg;
        }

        public String getTxshyj() {
                return txshyj;
        }

        public void setTxshyj(String txshyj) {
                this.txshyj = txshyj;
        }

        public String getSpshyj() {
                return spshyj;
        }

        public void setSpshyj(String spshyj) {
                this.spshyj = spshyj;
        }

        public String getTxshr() {
                return txshr;
        }

        public void setTxshr(String txshr) {
                this.txshr = txshr;
        }

        public String getTxshsj() {
                return txshsj;
        }

        public void setTxshsj(String txshsj) {
                this.txshsj = txshsj;
        }

        public String getSpshr() {
                return spshr;
        }

        public void setSpshr(String spshr) {
                this.spshr = spshr;
        }

        public String getSpshsj() {
                return spshsj;
        }

        public void setSpshsj(String spshsj) {
                this.spshsj = spshsj;
        }

        public String getTsyxbz() {
                return tsyxbz;
        }

        public void setTsyxbz(String tsyxbz) {
                this.tsyxbz = tsyxbz;
        }

        public String getRsrgjbxxjlzt() {
                return rsrgjbxxjlzt;
        }

        public void setRsrgjbxxjlzt(String rsrgjbxxjlzt) {
                this.rsrgjbxxjlzt = rsrgjbxxjlzt;
        }

        public String getTscjr() {
                return tscjr;
        }

        public void setTscjr(String tscjr) {
                this.tscjr = tscjr;
        }

        public String getTscjsj() {
                return tscjsj;
        }

        public void setTscjsj(String tscjsj) {
                this.tscjsj = tscjsj;
        }

        public String getTsxgr() {
                return tsxgr;
        }

        public void setTsxgr(String tsxgr) {
                this.tsxgr = tsxgr;
        }

        public String getTsxgsj() {
                return tsxgsj;
        }

        public void setTsxgsj(String tsxgsj) {
                this.tsxgsj = tsxgsj;
        }
}

